package org.apache.http.cookie;

import java.io.Serializable;
import java.util.Comparator;
import org.apache.http.annotation.Immutable;
import org.apache.http.cookie.Cookie;

@Immutable
public class CookieIdentityComparator implements Serializable, Comparator {

   private static final long serialVersionUID = 4466565437490631532L;


   public int compare(Cookie c1, Cookie c2) {
      int res = c1.getName().compareTo(c2.getName());
      String p1;
      String p2;
      if(res == 0) {
         p1 = c1.getDomain();
         if(p1 == null) {
            p1 = "";
         } else if(p1.indexOf(46) == -1) {
            p1 = p1 + ".local";
         }

         p2 = c2.getDomain();
         if(p2 == null) {
            p2 = "";
         } else if(p2.indexOf(46) == -1) {
            p2 = p2 + ".local";
         }

         res = p1.compareToIgnoreCase(p2);
      }

      if(res == 0) {
         p1 = c1.getPath();
         if(p1 == null) {
            p1 = "/";
         }

         p2 = c2.getPath();
         if(p2 == null) {
            p2 = "/";
         }

         res = p1.compareTo(p2);
      }

      return res;
   }
}
